# rating-score

> You are a web programmer. You have users. Your users rate stuff on your site. You want to put the highest-rated stuff at the top and lowest-rated at the bottom. You need some sort of “score” to sort by.

– Evan Miller, [“How Not To Sort By Average Rating”](https://www.evanmiller.org/how-not-to-sort-by-average-rating.html)

A better way to calculate ranking score to sort things on the web based on user upvotes or “stars”, using lower bound of Wilson score confidence interval for a Bernoulli parameter.

## API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

#### Table of Contents

-   [averageToScore](#averagetoscore)
    -   [Parameters](#parameters)
-   [starsToScore](#starstoscore)
    -   [Parameters](#parameters-1)
-   [upvotesToScore](#upvotestoscore)
    -   [Parameters](#parameters-2)

### averageToScore

Calculates the score from the average of all reviews.

This function is curried.

#### Parameters

-   `confidence` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 
-   `averageRating` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Average review score.
-   `maxRating` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Maximum review score.
-   `totalReviews` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Total number of reviews.

Returns **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Calculated score.

### starsToScore

Calculates the score from a list of review counts.

This function is curried.

#### Parameters

-   `confidence` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 
-   `starsList` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** List of review counts.

Returns **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Calculated score.

### upvotesToScore

Calculates the score from the number of upvotes and downvotes.

This function is curried.

#### Parameters

-   `confidence` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** 
-   `upvotes` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Number of positive reviews.
-   `downvotes` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Number of negative reviews.

Returns **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Calculated score.
